﻿using SqlSugar;
using System.ComponentModel.DataAnnotations;
using System.Reflection;

namespace Falcon.SugarApi.DatabaseDefinitions.EntityServices
{
    /// <summary>
    /// 设置主键
    /// </summary>
    public class SetupKeyColumnServices : IEntityColumnServices
    {
        /// <inheritdoc/>
        public void SetupColumn(PropertyInfo p, EntityColumnInfo c) {
            if (p.TryGetAttribute<KeyAttribute>(out var _)) {
                c.IsPrimarykey = true;
            }
        }
    }
}
